import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetKillhousesService = createAsyncThunk(
  "SLAUGHTERـGETـKILLHOUSESـSERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house/", {
      params: { role: getRoleFromUrl(), role_key: d.role_key || "" },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
